import { feasibleTree as a } from "./feasible-tree.js";
import { networkSimplex as n } from "./network-simplex.js";
import { longestPath as t } from "./util.js";
function s(e) {
  switch (e.graph().ranker) {
    case "network-simplex":
      r(e);
      break;
    case "tight-tree":
      i(e);
      break;
    case "longest-path":
      o(e);
      break;
    default:
      r(e);
  }
}
var o = t;
function i(e) {
  t(e), a(e);
}
function r(e) {
  n(e);
}
export {
  s as rank
};
